declare module 'vue' {
  interface HTMLAttributes {
    /** 加载背景 */
    'element-loading-background'?: string;
    /** 加载文本 */
    'element-loading-text'?: string;
    /** 加载图标 */
    'element-loading-spinner'?: string;
    /** 加载自定义类名 */
    'element-loading-custom-class'?: string;
  }
  interface ComponentCustomProperties {
    /** 节流函数 */
    $throttle: <T extends (...args: any[]) => any>(fn: T, ...args: Parameters<T>) => void;
  }
  interface ComponentCustomProps {
    title?: number | string;
    onVisibleChange?: (visible: boolean) => void;
  }
}
declare module 'vue' {
  interface SVGAttributes {
    'xlink:href'?: string;
  }
}

declare module '@vue/runtime-core' {
  declare interface ComponentCustomProperties {
    $throttle: any;
  }
  declare interface ComponentCustomProps {
    title?: number | string;
    onVisibleChange?: (visible: boolean) => void;
  }
}
declare module '@vue/runtime-dom' {
  interface SVGAttributes {
    'xlink:href'?: string;
  }
}

export {};
